Public Member Functions | Data Fields

# HeaderFileWriter Struct Reference

Inheritance diagram for HeaderFileWriter:

## Public Member Functions
| HeaderFileWriter (const char *filename)
| Open a file to write to.
| ~HeaderFileWriter ()
| Free the filename.
void | WriteStringID (const char *name, int stringid)
void | Finalise (const StringData &data)
## Data Fields
const char * | real_filename
| The real file name we eventually want to write to.
int | prev
| The previous string ID that was printed.

## Detailed Description

Definition at line 275 of file strgen.cpp.

## Constructor & Destructor Documentation

HeaderFileWriter::HeaderFileWriter | ( | const char * | filename | ) | `[inline]`

Open a file to write to.

Parameters:

  | filename | The file to open.

Definition at line 285 of file strgen.cpp.

References FileWriter::fh.

HeaderFileWriter::~HeaderFileWriter | ( |  | ) | `[inline]`

Free the filename.

Definition at line 294 of file strgen.cpp.

References free(), and real_filename.

## Field Documentation

int HeaderFileWriter::prev

The previous string ID that was printed.

Definition at line 279 of file strgen.cpp.

const char* HeaderFileWriter::real_filename

The real file name we eventually want to write to.

Definition at line 277 of file strgen.cpp.

Referenced by ~HeaderFileWriter().

The documentation for this struct was generated from the following file:

- src/strgen/strgen.cpp